- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::MonotoneMuUpdate Class Reference

Monotone Mu Update. More...

`#include <IpMonotoneMuUpdate.hpp>`

Inheritance diagram for Ipopt::MonotoneMuUpdate:

[legend]
Collaboration diagram for Ipopt::MonotoneMuUpdate:

[legend]
List of all members.

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| Initialize method - overloaded from AlgorithmStrategyObject.
virtual bool | UpdateBarrierParameter ()
| Method for determining the barrier parameter for the next iteration.
Constructors/Destructors
| MonotoneMuUpdate (const SmartPtr< LineSearch > &linesearch)
| Default Constructor.
virtual | ~MonotoneMuUpdate ()
| Default destructor.
## Static Public Member Functions
static void | RegisterOptions (const SmartPtr< RegisteredOptions > &roptions)
| Methods for IpoptType.
## Private Member Functions
void | CalcNewMuAndTau (Number &new_mu, Number &new_tau)
| Internal method for computing the new values for mu and tau.
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| MonotoneMuUpdate ()
| MonotoneMuUpdate (const MonotoneMuUpdate &)
| Copy Constructor.
void | operator= (const MonotoneMuUpdate &)
| Overloaded Equals Operator.
## Private Attributes
SmartPtr< LineSearch > | linesearch_
bool | initialized_
| Flag indicating whether the method has been called at least once so far.
bool | first_iter_resto_
| If true, no modification of the barrier parameter will be done at the first call of Update (fix for the restoration phase - we should clean that up!).
Algorithmic parameters
Number | mu_init_
| Initial value of the barrier parameter.
Number | barrier_tol_factor_
| Initial value of the barrier parameter.
Number | mu_linear_decrease_factor_
| Initial value of the barrier parameter.
Number | mu_superlinear_decrease_power_
| Initial value of the barrier parameter.
bool | mu_allow_fast_monotone_decrease_
| Initial value of the barrier parameter.
Number | tau_min_
| Tau_min for fraction to boundary rule.
Number | compl_inf_tol_
| Initial value of the barrier parameter.

## Detailed Description

Monotone Mu Update.

This class implements the standard monotone mu update approach.

Definition at line 22 of file IpMonotoneMuUpdate.hpp.

## Constructor & Destructor Documentation

Ipopt::MonotoneMuUpdate::MonotoneMuUpdate | ( | const SmartPtr< LineSearch > & | linesearch | ) |

Default Constructor.

virtual Ipopt::MonotoneMuUpdate::~MonotoneMuUpdate | ( |  | ) | `[virtual]`

Default destructor.

Ipopt::MonotoneMuUpdate::MonotoneMuUpdate | ( |  | ) | `[private]`

Ipopt::MonotoneMuUpdate::MonotoneMuUpdate | ( | const MonotoneMuUpdate & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::MonotoneMuUpdate::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[virtual]`

Initialize method - overloaded from AlgorithmStrategyObject.

Implements Ipopt::MuUpdate.

virtual bool Ipopt::MonotoneMuUpdate::UpdateBarrierParameter | ( |  | ) | `[virtual]`

Method for determining the barrier parameter for the next iteration.

When the optimality error for the current barrier parameter is less than a tolerance, the barrier parameter is reduced, and the Reset method of the LineSearch object linesearch is called.

Implements Ipopt::MuUpdate.

static void Ipopt::MonotoneMuUpdate::RegisterOptions | ( | const SmartPtr< RegisteredOptions > & | roptions | ) | `[static]`

Methods for IpoptType.

void Ipopt::MonotoneMuUpdate::operator= | ( | const MonotoneMuUpdate & |  | ) | `[private]`

Overloaded Equals Operator.

void Ipopt::MonotoneMuUpdate::CalcNewMuAndTau | ( | Number & | new_mu,
|  | Number & | new_tau |
| ) |  |  | `[private]`

Internal method for computing the new values for mu and tau.

## Member Data Documentation

Number Ipopt::MonotoneMuUpdate::mu_init_`[private]`

Initial value of the barrier parameter.

Definition at line 75 of file IpMonotoneMuUpdate.hpp.

Number Ipopt::MonotoneMuUpdate::barrier_tol_factor_`[private]`

Initial value of the barrier parameter.

Definition at line 76 of file IpMonotoneMuUpdate.hpp.

Number Ipopt::MonotoneMuUpdate::mu_linear_decrease_factor_`[private]`

Initial value of the barrier parameter.

Definition at line 77 of file IpMonotoneMuUpdate.hpp.

Number Ipopt::MonotoneMuUpdate::mu_superlinear_decrease_power_`[private]`

Initial value of the barrier parameter.

Definition at line 78 of file IpMonotoneMuUpdate.hpp.

bool Ipopt::MonotoneMuUpdate::mu_allow_fast_monotone_decrease_`[private]`

Initial value of the barrier parameter.

Definition at line 79 of file IpMonotoneMuUpdate.hpp.

Number Ipopt::MonotoneMuUpdate::tau_min_`[private]`

Tau_min for fraction to boundary rule.

Definition at line 81 of file IpMonotoneMuUpdate.hpp.

Number Ipopt::MonotoneMuUpdate::compl_inf_tol_`[private]`

Initial value of the barrier parameter.

Definition at line 82 of file IpMonotoneMuUpdate.hpp.

SmartPtr<LineSearch> Ipopt::MonotoneMuUpdate::linesearch_`[private]`

Definition at line 85 of file IpMonotoneMuUpdate.hpp.

bool Ipopt::MonotoneMuUpdate::initialized_`[private]`

Flag indicating whether the method has been called at least once so far.

Definition at line 89 of file IpMonotoneMuUpdate.hpp.

bool Ipopt::MonotoneMuUpdate::first_iter_resto_`[private]`

If true, no modification of the barrier parameter will be done at the first call of Update (fix for the restoration phase - we should clean that up!).

Definition at line 94 of file IpMonotoneMuUpdate.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.2.1/Ipopt/src/Algorithm/IpMonotoneMuUpdate.hpp